import java.util.*;

public class Zadatak1 {

    public static void main(String[] args) {

        Scanner a = new Scanner(System.in);
       long p=a.nextLong(),q=a.nextLong(),r=a.nextLong(),L=a.nextLong(),R=a.nextLong(),x,N=0;
       for(int i=L;i<=R;i++){
           x=(int)i/p;
           long y=(int)i/q;
           long z=(int)i/r;
           long j=x+y+z;
           if(j<=N)
           N++;
       }
       System.out.println(N);


    }
}